Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08197 Crash/Freeze Critical (emulation) Always Jan 31, 2022, 15:35 Feb 5, 2022, 02:32
Tester CrazedMAMEiac View Status Public Platform MAME (Official Binary)
Assigned To AJR Resolution Fixed OS Windows 10/11 (64-bit)
Status [?] Resolved Driver wardner.cpp
Version 0.240 Fixed in Version 0.241 Build 64-bit
Fixed in Git Commit da9bf2d Github Pull Request #
Summary 08197: wardner, wardnerj, pyros: Freeze/Corruption after reset
Description Game becomes frozen and unresponsive with garbled graphics at title screen after starting a game and resetting (F3). You can insert credits and hear the credit sound effect, but can't press start.
Steps To Reproduce Insert credit
Start game
Enter your initials
Get to the point you're in-game and able to control your character
Reset (F3)
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems wardner, wardnerj, pyros
Attached Files
png file icon 0000.png (1,343 bytes) Jan 31, 2022, 15:35 Uploaded by CrazedMAMEiac
The glitched title screen. Player's initials (AAA) can be seen at the bottom.
CrazedMAMEiac
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.19739
Tafoid
Administrator
Jan 31, 2022, 19:52
Reset bugs are special. We normally do not even acknowledge or take them unless it crashes MAME.
https://mametesters.org/rules.html
> Reset and Pause bugs are not bugs unless they crash (Noted by Aaron)
Reset and pause functionality are both not game player oriented. This is by design.
Most PCBs don't have a reset button, and even if they do, the reset behavior is undefined. It is the equivalent of the watchdog firing on a PCB. Some games behave well when this happens; others not so well.
The pause functionality in MAME is there for developers to be able to tweak with game parameters during a pause to affect the video. Thus, the video is going to be odd or messed up in a lot of cases.

I have not seen any indication the board itself has a dedicated reset button. That isn't to say this might not be something that can be 'fixed' (At one time, the game appeared to reset without hanging). A board without reset-ability simply used power down/up (in the emulation case, needing to stop/start MAME or use SHIFT+F3 for a HARD RESET), which should do basically the same function of a power cycling.
User avatar
No.19751
Fujix
Administrator
Feb 4, 2022, 13:05
It's working OK for me even after a game over with high score.
User avatar
No.19753
AJR
Developer
Feb 5, 2022, 02:32
I think the rule about not acknowledging reset bugs ought to be relaxed somewhat. Sure, soft-resetting certain systems when they least expect it can cause egregious glitches on actual hardware (Pokemon Yellow speedruns being a notorious example), but in most older arcade games soft reset glitches tend to be emulation bugs, and are often caused by mismanaging interrupt state or not resetting bank switches.